webpackJsonp([5],{

/***/ 30:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(39);

var ProjectPlayer = __webpack_require__(3);
var ProjectFigures = __webpack_require__(4);

var BoxLabel = [
  'Portion of the brain which contains cochlear nuclei, olivary complex and trapezoid body.',
  'Portion of the brain which contains inferior colliculus.',
  'Portion of the brain which contains medial geniculate colliculus.',
  'Portion of the brain which contains auditory cortex.'
];



var INTERACTIVE_IMAGES_PARAMS = {
  tenth: {
    id: 'interactive-image-10',
    containerSelector: '#digfir_section_9 [data-type="rawhtml"]',
    svgPath: '10/Auditory_System_screen10_image.svg',
    elements: [
      {
        selector: '#redNucleus',
        glossarySelector: '#red-nucleus',
        description: '<strong>red nucleus:</strong> plays a role in coordinating movement of the arms and hands.'
      },
      {
        selector: '#nigra',
        glossarySelector: '#substantia-nigra',
        description: '<strong>substantia nigra:</strong> connects to the basal ganglia and is critical for the'+
        ' initiation of voluntary motor movement. Parkinson disease is a movement disorder caused by the'+
        ' deterioration of dopamine cells in this area of the tegmentum.'
      },
      {
        selector: '#grayMatter',
        glossarySelector: '#periaqueductal-gray-matter',
        description: '<strong>periaqueductal gray matter:</strong> is a collection of cells '+
        ' that surrounds the cerebral aqueduct plays a role in both species-typical behaviors, '+
        ' such as female sexual behavior, and the modulation of pain.'
      },
      {
        selector: '#reticularFormation',
        glossarySelector: '#reticular-formation',
        description: '<strong>reticular formation:</strong> extends from the medulla (caudally) '+
        'to the midbrain (rostrally) and is involved in arousal, attention, and wakefulness.'
      }
    ],
    width: 600,
    onDialogOpen: function (interactiveImage, options) {
      interactiveImage.freezeSVG(options);

      $dialog = $('.ui-dialog');
      $dialogOverlay = $('.ui-widget-overlay');

      if (options.from && interactiveImage.isImageGlossary(options.from)) {
        $dialog.length && $dialog.addClass(TRANSPARENT_DIALOG_CLASSNAMES.dialog);
        $dialogOverlay.length && $dialogOverlay.addClass(TRANSPARENT_DIALOG_CLASSNAMES.overlay);
      }
    },
    onDialogClose: function (interactiveImage, options) {
      interactiveImage.defrostSVG(options);

      ($dialog.length && $dialog.hasClass(TRANSPARENT_DIALOG_CLASSNAMES.dialog))
      && $dialog.removeClass(TRANSPARENT_DIALOG_CLASSNAMES.dialog);

      ($dialogOverlay.length && $dialogOverlay.hasClass(TRANSPARENT_DIALOG_CLASSNAMES.overlay))
      && $dialogOverlay.removeClass(TRANSPARENT_DIALOG_CLASSNAMES.overlay);
    }
  }
};

var FiguresExtended = ProjectFigures.extend({
  media_finished_callback: function (mmid) {
    this._super();

    var active_section = window.player.sections[window.player.section_currently_showing];
    active_section.videos[mmid] = true;

    var cumulative_result = Object.values(active_section.videos).every(function (val) {
        return val;
    });

    if (cumulative_result) {
      window.player.completeSectionTask();
      $('[data-video-conditional="' + window.player.section_currently_showing + '"]').addClass('active_1');
    }
  }
});

var ChapterPlayer10 = ProjectPlayer.extend({

  slide10SvgObject: undefined,

  initialize_sections: function () {
    this._super();
    var n;

    for (n = 0; n < this.sections.length; n++) {
      var $hsContainer = this.sections[n].jq.find('[data-block_type="hs_hoverable"]');
      var $hsMeta = $hsContainer.find('[data-type="metadata"] [data-type="field"][key="hs_regions"]');
      if ($hsMeta.length) {
        var hsOpts = JSON.parse($hsMeta.text());

        if (n === 9) {
          $hsContainer.html(getHTML(hsOpts, true));
        }
        else {
          $hsContainer.html(getHTML1(hsOpts, true));
        }
      }
    }

    $('#digfir_section_9 image')
    .attr('alt', $('#digfir_section_9 .hs_container title').text() );

    var self = this;
    var i;
    var j;
    var $id;
    var $anim_btn;

    var video_list = [];
    for (var id in self.init_figures.bcVideo) {
      if (self.init_figures.bcVideo.hasOwnProperty(id)) {
        video_list.push(id);
      }
    }

    player.currentVideoID = '';
    player.videoIsPlaying = false;

    for (j = 0; j < this.sections.length; j++) {
      var s = this.sections[j];
      var $videos = s.jq.find('.outer_outer_outer_video');

      if ($videos.length) {
        s.videos = {};
        s.jq.find('[data-block_type="conditional_1"]').attr('data-video-conditional', j);
        $anim_btn = s.jq.find('.anim_ctrl_btn');
        if ($anim_btn.length) {
          s.animations = {};
          $anim_btn.each(function () {
            var $video = $($videos.get($(this).data('id'))).find('video');
            $id = $video.attr('id');
            s.animations[$id] = {
              animation: $video,
              parent: $video.parent().parent().parent().parent()
            };

            $(this).click({id: $id, sectionId: j}, function (ev) {
              var id = ev.data.id;
              var section = player.sections[ev.data.sectionId];
              if (!id || !section.animations[id]) {
                return;
              }

              if (id === player.currentVideoID) {
                if (player.videoIsPlaying) {
                  section.animations[player.currentVideoID].animation.get(0).pause();
                  player.videoIsPlaying = false;
                }
                else {
                  section.animations[player.currentVideoID].animation.get(0).play();
                  player.videoIsPlaying = true;
                }
              }
              else {
                for (var key in section.animations) {
                  if (section.animations.hasOwnProperty(key)) {
                    var $animation = section.animations[key].animation;
                    // var $parent = section.animations[key].parent;
                    var animation = $animation.get(0);

                    /* $animation.attr('aria-hidden', 'true').addClass('hidden');
                    $parent.hide(); */
                    animation.pause();
                    animation.currentTime = 0;
                  }
                }

                section.animations[id].animation.get(0).play();
                section.animations[id].parent.show();
                player.currentVideoID = id;
                player.videoIsPlaying = true;
              }
            });
          });
        }

        $videos.each(function () {
          var $id = $(this).find('video').attr('id');

          for (i = 0; i < video_list.length; i++) {
            if ($id.indexOf(video_list[i]) > -1) {
              s.videos[video_list[i]] = false;
              /* if ($anim_btn.length) {
                $id =
                s.animations[]
              } */
              break;
            }
          }
        });
      }
    }
  },

  svgHighlight: function(color, mode) {
    var layer;
    if (color === 'yellow') {
      layer = player.slide10SvgObject.getElementById('layer4');
    }
    else {
      layer = player.slide10SvgObject.getElementById('layer5');
    }

    if (mode === 'on') {
      layer.style.display = 'block';
    }
    else {
      layer.style.display = 'none';
    }
  },

  initialize2: function () {
    this._super();

    var myVar = setInterval(function() {
      player.slide10SvgObject = document.getElementById('interactive-image-1').contentDocument;
      if (player.slide10SvgObject !== null && player.slide10SvgObject !== undefined) {
        player.slide10SvgObject.getElementById('layer4').style.display = 'none';
        player.slide10SvgObject.getElementById('layer5').style.display = 'none';
        clearInterval(myVar);
      }
    }, 100);

    var self = this;

    this.section_with_widget.forEach( function (section) {
      self.initWidgetButton(section);
    });

    for (var i = 0; i < $('#digfir_section_8 label').length; i++) {
      $('#digfir_section_8 label')[i].textContent = BoxLabel[i];
    }

    $('#digfir_section_8 img').removeAttr('style');

    $('#question_submit_button_1').attr('value', 'Check Your Answers');
    $('#question_submit_button_2').attr('value', 'Check Your Answers');
    $('#question_submit_button_3').attr('value', 'Check Your Answers');

    var flag = false;
    var flag1 = false;
    $('video').each(function () {
      this.addEventListener('play', function () {
        if (this.id === 'one_html5_api' ) {
          $('[data-controlled_id="yellow"]').show();
          $('[data-controlled_id="blue"]').hide();
        }
        if (this.id === 'two_html5_api' ) {
          $('[data-controlled_id="blue"]').show();
          $('[data-controlled_id="yellow"]').hide();
        }
      });
      this.addEventListener('pause', function () {
        if (this.id === 'one_html5_api' ) {
          $('[data-controlled_id="yellow"]').hide();
          flag = true;
        }
        if (this.id === 'two_html5_api' ) {
          $('[data-controlled_id="blue"]').hide();
          flag1 = true;
        }
        if (platform.ie && flag && flag1) {
          window.player.completeSectionTask();
          $('[data-video-conditional="9"]').addClass('active_1');
        }
      });
    });

    var $hsItems = $('#digfir_section_7 .hs_item');
    if ($hsItems.length) {
      var hideAllHS = function (event) {
        for (var i = 0; i < event.currentTarget.parentNode.childNodes.length; i++) {
            var el = event.currentTarget.parentNode.childNodes[i];
            el.setAttribute('class', 'hs_item');
            el.setAttribute('aria-pressed', 'false');
            (function () {
            var cid = el.getAttribute('data-controlled_id');
            if (cid) {
              var $el = $('#' + cid);
              $el.addClass('item_hidden');
            }
          })();
          }
      };
      var toggleTargetHS = function (event) {
        event.currentTarget.setAttribute('class', 'hs_item active');
        event.currentTarget.setAttribute('aria-pressed', 'true');
        (function () {
          var cid = event.currentTarget.getAttribute('data-controlled_id');
          if (cid) {
            var $el = $('#' + cid);
            $el.removeClass('item_hidden');
            setTimeout(function () {
              player.updateLiveRegion($el.text());
            }, 500);
          }
        })();
      };
      var actionHandler = function (event) {
        if (event.currentTarget.getAttribute('aria-pressed') == 'true') {
          hideAllHS(event);
        }
        else {
          hideAllHS(event);
          toggleTargetHS(event);
        }
      };
      $hsItems.live('click', function (event) {
        event.preventDefault();
        actionHandler(event);
      }).each(function () {
        var cId = this.getAttribute('data-controlled_id');
        var $c = $(this).closest('.hs_container');
        $c.append($('#' + cId));
      }).live('keydown', function (event) {
        var isSpace = event.key === ' ' || event.key === 'Spacebar' || event.keyCode == 32;
        var isEnter = event.key === 'Enter' || event.keyCode === 13;

        if (isSpace || isEnter) {
          event.preventDefault();
          actionHandler(event);
        }
      });
    }

    var las = player.get_LASX();
    if (las > 4) {
      $('#idp443035248').show().attr('aria-hidden', 'false');
    }
    else {
      $('#idp443035248').hide().attr('aria-hidden', 'true');
    }

    if (las > 9) {
      $('#idm37408').show().attr('aria-hidden', 'false');
    }
    else {
      $('#idm37408').hide().attr('aria-hidden', 'true');
    }

    this.sixthInteractiveImage = new InteractiveImage(INTERACTIVE_IMAGES_PARAMS.tenth);

  },
  initWidgetButton: function (section) {
      var section_buttons = $('#section_' + section + '_widget button'),
          count = section_buttons.length,
          self = this;

      section_buttons.each(function (index, button) {
        this.addEventListener('click', {
          handleEvent: self.buttonClickHandler,
          section: section,
          count: count,
          id: button.id
        });
      });
  },
  buttonClickHandler: function (event) {
      var button = event.currentTarget,
        isAriaPressed = button.getAttribute('aria-pressed') === 'true',
        section_buttons = $('#section_' + this.section + '_widget button');

      section_buttons.each(function () {
        this.setAttribute('aria-pressed', button.id === this.id ? isAriaPressed : 'false');
      });

      button.setAttribute('aria-pressed', isAriaPressed ? 'false' : 'true');
      button.setAttribute('aria-checked', 'true');

      $('[id ^= "section_' + this.section + '_feedback_"]').hide();
      if (!isAriaPressed) {
        $('#' + button.getAttribute('data-index')).show().attr('tabindex', -1).focus();
        if (platform.ios) {
          $('#' + button.getAttribute('data-index')).show().attr('tabindex', 0).focus();
        }
      }

      if (document.querySelectorAll('#section_' + this.section + '_widget ' +
        'button[aria-checked="true"]').length === this.count) {
        player.showNextButton();
      }
  }
});

var getHTML = function (regions, hoverable) {
  var html = '';
  var i;
  var j;

  for (i = 0; i < regions.length; i++) {
    var imageParams = regions[i];
    var heightImg = platform.ie ? '280' : imageParams.height;

    html += '<div class="hs_container"><svg version="1.1"' +
      ' xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"' +
      ' data-field_index="' + i + '" x="0px" y="0px" width="100%" height="100%"' +
      ' viewBox="0 0 ' + imageParams.width + ' ' + heightImg +
      '" xml:space="preserve" tabindex="-1" focusable="false">';
    html += '<image overflow="visible" x="0" y="0"' +
      ' width="' + imageParams.width + '" height="' + imageParams.height +
      '" xlink:href="' + imageParams.src + '" tabindex="-1" aria-hidden="true"></image>';
    html += '<g>';

    for (j = 0; j < imageParams.hs.length; j++) {
      var stroke = '#' + imageParams.hs[j].stroke || '';
      var strokeWidth = imageParams.strokeWidth || '';
      var style = '';

      stroke = 'stroke:' + stroke + ';';
      if (strokeWidth) strokeWidth = 'stroke-width:' + strokeWidth + ';';
      style = stroke + strokeWidth;

      if (hoverable) {
        html += '<a class="hs_item" xlink:href="#"' +
          ' data-field_index="' + i + '" data-hs_index="' + j + '"' +
          ('controlled_id' in imageParams.hs[j] ? ' data-controlled_id="' +
          imageParams.hs[j].controlled_id + '"' : '') +
          ' style="fill-opacity: 1;">' +
          ('path' in imageParams.hs[j] ?
            '<path class="hs_border" style="' + style + '" d="' + imageParams.hs[j].path + '"/>' :
            '<rect class="hs_border" style="' + style + '" width="'
              + imageParams.hs[j].width + '" height="' + imageParams.hs[j].height +
              '" x="' + imageParams.hs[j].x + '" y="' + imageParams.hs[j].y + '"/>') +
          '</a>';
      }
      else {
        html += '<path class="hs_border" style="' + style +
          '" d="' + imageParams.hs[j].path + '"/>';
      }
    }

    html += '</g>';
    html += ('aria_label' in imageParams ? '<title>' + imageParams.aria_label + '</title>' : '');
    html += '</svg>';

    if (platform.firefox || platform.ie || platform.io) {
      html += '<img src="asset/images/ch10/empty.png" alt="' + imageParams.aria_label + '" />';
    }

    html += '</div>';
  }

return html;
};

var getHTML1 = function (regions, hoverable) {
  var html = '';
  var i;
  var j;

  for (i = 0; i < regions.length; i++) {
    var imageParams = regions[i];
    var cx = platform.ie ? '300' : '0';
    var cy = platform.ie ? '10' : '0';
    var cwidth = platform.ie ? '893' : imageParams.width;
    var cheight = platform.ie ? '1200' : imageParams.height;

    html += '<div class="hs_container">' +
      '<svg version="1.1"' +
      ' xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"' +
      ' data-field_index="' + i + '" x="0px" y="0px" width="100%" height="100%"' +
      ' viewBox="' + cx + ' ' + cy + ' ' + cwidth + ' ' + cheight +
      '" xml:space="preserve" tabindex="-1" focusable="false" role="group">';
    html += '<title id="title-2">Scheme showing way of auditory information from the ear to the brain.</title>';
    html += '<image overflow="visible" x="0" y="0"' +
      ' width="' + imageParams.width + '" height="' + imageParams.height +
      '" xlink:href="' + imageParams.src + '" tabindex="-1" aria-labelledby="title-2"> </image>';
    html += '<g>';

    for (j = 0; j < imageParams.hs.length; j++) {
      var stroke = imageParams.hs[j].stroke || '';
      var strokeWidth = imageParams.strokeWidth || '';
      var fill = imageParams.hs[j].fill || '';
      var style = '';

      if (stroke) stroke = 'stroke:' + stroke + ';';
      if (strokeWidth) strokeWidth = 'stroke-width:' + strokeWidth + ';';
      if (fill) fill = 'fill:' + fill + ';';
      style = stroke + strokeWidth + fill;

      if (hoverable) {
        html += '<a class="hs_item" xlink:href="#"' +
          ' data-field_index="' + i + '" data-hs_index="' + j + '"' +
          ('controlled_id' in imageParams.hs[j] ? ' data-controlled_id="' +
          imageParams.hs[j].controlled_id + '"' : '') +
          ('aria_label' in imageParams.hs[j] ? ' aria-label="' + imageParams.hs[j].aria_label + '"' : '') +
          ' role="button"' +
          ' style="fill-opacity: 1;" aria-pressed="false">' +
          ('path' in imageParams.hs[j] ?
            '<path class="hs_border" style="' + style + '" d="' + imageParams.hs[j].path + '"/>' :
            '<rect class="hs_border" style="' + style + '" width="'
              + imageParams.hs[j].width + '" height="' + imageParams.hs[j].height +
              '" x="' + imageParams.hs[j].x + '" y="' + imageParams.hs[j].y + '"/>') +
          '</a>';
      }
      else {
        html += '<path class="hs_border" style="' + style +
          '" d="' + imageParams.hs[j].path + '"/>';
      }
    }

    html += '</g>';
    html += ('aria_label' in imageParams ? '<title>' + imageParams.aria_label + '</title>' : '');
    html += '</svg></div>';
  }

  return html;
};

Figures = FiguresExtended;
window.player = new ChapterPlayer10();
player.section_with_widget = [3];




/***/ }),

/***/ 39:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 79:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(30);


/***/ })

},[79]);
//# sourceMappingURL=kolb_nia_winter2019_ch10a.js.map








var DEFAULT_PARAMS = {
  elements: [
    {
      selector: '',
      glossarySelector: '',
      description: ''
    }
  ],
  id: 'interactive-image',
  containerSelector: document.documentElement,
  pathPrefix: 'asset/images/',
  svgPath: '',
  width: 0,
  height: 0,
  highlightOpacity: 0.3,
  zIndex: 1002,
  disableOnImageHandlers: false,
  onDialogOpen: function (interactiveImage, options) {},
  onDialogClose: function (interactiveImage, options) {}
};

var InteractiveImage = function (params) {
  this.params = $.extend(true, {}, DEFAULT_PARAMS, params);

  this.$container = $(this.params.containerSelector);
  this.$descContainer = $('<div class="description-container" aria-live="polite"></div>').hide();

  this.highlightedNode = null;
  this.pressedElement = null;

  this.createSVGObject();
  this.$container.append(this.$descContainer);
//  this.extendDialog();
};

InteractiveImage.prototype.extendDialog = function () {
  var ctx = this;

  window.Local_Dialog = $.extend(true, {}, dialog, {
    open: function (html, options) {
      dialog.open(html, options);

      ctx.params.onDialogOpen(ctx, options);
    },
    close: function () {
      dialog.close();

      ctx.params.onDialogClose(ctx);
    }
  });
};

InteractiveImage.prototype.getSVGPath = function () {
  return this.params.pathPrefix + this.params.svgPath;
};

InteractiveImage.prototype.createSVGObject = function () {
  this.$svgObject = $('<object id="' + this.params.id + '" type="image/svg+xml" data="'+ this.getSVGPath()
    + '" tabindex="-1"></object>');

  this.params.width && this.$svgObject.attr('width', this.params.width);
  this.params.height && this.$svgObject.attr('width', this.params.height);

  this.$container.append(this.$svgObject);

  this.svgObjectElement = document.getElementById(this.params.id);
  this.svgObjectElement.addEventListener('load', this.onSVGLoad.bind(this), false);
};

InteractiveImage.prototype.onSVGLoad = function () {
  this.svgElement = this.svgObjectElement.contentDocument;
  this.initializeElements();
};

InteractiveImage.prototype.initializeElements = function () {
  this.elements = [];

  this.svgImageNode = this.svgElement.querySelector('image');
  this.svgElement.querySelector('svg').setAttribute('focusable', false);

  this.params.elements.forEach(function (elem, index) {
    this.elements.push({
      svgNode: this.svgElement.querySelector(elem.selector),
      glossaryNode: elem.glossarySelector ? document.querySelector(elem.glossarySelector) : null,
      description: elem.description
    });

    this.elements[index].svgNode.style.cursor = this.params.disableOnImageHandlers ? 'auto' : 'pointer';
    this.elements[index].glossaryNode.setAttribute('aria-pressed', false);
    this.elements[index].glossaryNode.classList.add('control_button');

  //  this.elements[index].glossaryNode && this.elements[index].glossaryNode.setAttribute('data-image-glossary', true);

    this.hideElement(this.elements[index].svgNode);

    this.addMouseHandlers(this.elements[index]);
  }.bind(this));
};

InteractiveImage.prototype.addMouseHandlers = function (element) {
  if (!this.params.disableOnImageHandlers) {
    element.svgNode.addEventListener('click', this.onSVGElementClick(element), false);
    element.svgNode.addEventListener('mouseenter', this.onSVGElementMouseEnter(element), false);
    element.svgNode.addEventListener('mouseleave', this.onSVGElementMouseLeave(element), false);
  }

  element.glossaryNode.addEventListener('click', this.onGlossaryClick(element), false);

//  element.glossaryNode.addEventListener('focus', this.onSVGElementMouseEnter(element), false);
//  element.glossaryNode.addEventListener('blur', this.onSVGElementBlur(element), false);
};

InteractiveImage.prototype.onGlossaryClick = function (element) {
  return function () {
    if (element === this.pressedElement) {
      var currentPressedValue = JSON.parse(element.glossaryNode.getAttribute('aria-pressed'));

      if (currentPressedValue) {
        this.$descContainer.hide();
        this.removeHighlight(element);
      }
      else {
        this.$descContainer.show();
        this.highlight(element);
      }

      element.glossaryNode.setAttribute('aria-pressed', !currentPressedValue);
    }
    else {
      this.pressedElement && this.pressedElement.glossaryNode.setAttribute('aria-pressed', false);
      element.glossaryNode.setAttribute('aria-pressed', true);

      if (this.$descContainer.is(':hidden')) {
        this.$descContainer.show();
      }

      this.$descContainer.html(element.description);
      this.highlight(element);
    }

    this.pressedElement = element;
  }.bind(this);
};

InteractiveImage.prototype.onSVGElementClick = function (element) {
  return function () {
    var currentZIndex = this.$svgObject.css('z-index');

    if (!currentZIndex || currentZIndex === 'auto') {
      this.$svgObject.css('z-index', this.params.zIndex);
    }

    element.glossaryNode && element.glossaryNode.click();
  }.bind(this);
};

InteractiveImage.prototype.onSVGElementMouseEnter = function (element) {
  return function () {
    this.highlight(element);
  }.bind(this);
};

InteractiveImage.prototype.onSVGElementMouseLeave = function (element) {
  return function (e) {
    if (e.relatedTarget) {
      this.removeHighlight(element);
    }
  }.bind(this);
};

InteractiveImage.prototype.onSVGElementBlur = function (element) {
  return function (e) {
    if (e.relatedTarget && !$(e.relatedTarget).closest('.ui-dialog').length) {
      this.removeHighlight(element);
    }
  }.bind(this);
};

InteractiveImage.prototype.highlight = function (element) {
  if (this.highlightedNode && this.highlightedNode !== element.svgNode) {
    this.hideElement(this.highlightedNode);
  }

  this.svgImageNode.style.opacity = this.params.highlightOpacity;
  this.showElement(element.svgNode);

  this.highlightedNode = element.svgNode;
};

InteractiveImage.prototype.removeHighlight = function (element) {
  this.svgImageNode.style.opacity = 1;
  this.hideElement(element.svgNode);
};

InteractiveImage.prototype.showElement = function (element) {
  element.style.opacity = 1;
};

InteractiveImage.prototype.hideElement = function (element) {
  element.style.opacity = 0;
};

InteractiveImage.prototype.freezeSVG = function (dialogOptions) {
  if (dialogOptions.from && this.isImageGlossary(dialogOptions.from)) {
    this.$svgObject.css({
      'z-index': this.params.zIndex,
      'pointer-events': 'none'
    });
  }
};

InteractiveImage.prototype.defrostSVG = function () {
  this.$svgObject.css({
    'z-index': 'auto',
    'pointer-events': 'auto'
  });
};

InteractiveImage.prototype.isImageGlossary = function ($node) {
  return $node.attr('data-image-glossary');
};










var SaviBcHandlers = SaviBcHandlers || {};

// slide 5
SaviBcHandlers.ended_6068663374001 = function(video_obj) {
  video_obj.watched = true;
  $('#idp443035248').show().attr('aria-hidden', 'false');
  player.completeSectionTask();
}


// slide 10
SaviBcHandlers.play_6087746593001 = function(video_obj) {
  var video_objs = player.savi_bc_videos.getAllVideoObjs();
    video_objs.forEach(function(vid_obj) {
        if (vid_obj !== video_obj) {
            vid_obj.pause();
        }
    });
  player.svgHighlight('yellow', 'on');
}
SaviBcHandlers.pause_6087746593001 = function(video_obj) {
  player.svgHighlight('yellow', 'off');
}
SaviBcHandlers.ended_6087746593001 = function(video_obj) {
  player.svgHighlight('yellow', 'off');
  video_obj.watched = true;
  if (player.savi_bc_videos.allVideosWatched(9)) {
      $('#idm37408').show().attr('aria-hidden', 'false');
      player.completeSectionTask();
  }
}
SaviBcHandlers.play_6087752951001 = function(video_obj) {
  var video_objs = player.savi_bc_videos.getAllVideoObjs();
    video_objs.forEach(function(vid_obj) {
        if (vid_obj !== video_obj) {
            vid_obj.pause();
        }
    });
  player.svgHighlight('purple', 'on');
}
SaviBcHandlers.pause_6087752951001 = function(video_obj) {
  player.svgHighlight('purple', 'off');
}
SaviBcHandlers.ended_6087752951001 = function(video_obj) {
  player.svgHighlight('purple', 'off');
  video_obj.watched = true;
  if (player.savi_bc_videos.allVideosWatched(9)) {
      $('#idm37408').show().attr('aria-hidden', 'false');
      player.completeSectionTask();
  }
}

var ArgaQueryText = ArgaQueryText || {};

ArgaQueryText['1b'] = 'and funneled into the';
ArgaQueryText['1e'] = 'causing vibrations in the';
ArgaQueryText['3a'] = 'Pathway from the ear to the cortex: First structure';
ArgaQueryText['3b'] = 'Pathway from the ear to the cortex: Second structure';
ArgaQueryText['3c'] = 'Pathway from the ear to the cortex: Third structure';
ArgaQueryText['3d'] = 'Pathway from the ear to the cortex: Last structure';
