webpackJsonp([4],{

/***/ 34:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(43);

var platform = __webpack_require__(0).run_on;

var ProjectFigures = __webpack_require__(4);
var ProjectPlayer = __webpack_require__(3);

imageDescriptions = [
  [
    {
      alt: 'A narrow light spot falls directly to the center of an on-center cell. The meter shows excitation of the ' +
        'ganglion cell whose activity becomes about 30 impulses per second.'
    },
    {
      alt: 'A narrow light spot falls directly to the edge of an on-center cell. The meter shows inhibition of the ' +
        'ganglion cell whose activity becomes about 3 impulses per second.'
    },
    {
      alt: 'A wide light spot covers both center and edge of the on-center cell. The meter shows weak excitation of ' +
      'the ganglion cell whose activity becomes about 20 impulses per second.'
    },
    {
      alt: 'Receptive fields of an on-center cell. Its center is of "on"-type while the edge is of "off"-type. There ' +
      'is also a flashlight which is off. The meter shows baseline activity of the ganglion cell which is about 12 ' +
      'impulses per minute.',
      update: 'The light is turned off.'
    }
  ],
  [
    {
      alt: 'A narrow light spot falls directly to the center of an off-center cell. The meter shows inhibition of ' +
      'the ganglion cell whose activity becomes about 3 impulses per second.'
    },
    {
      alt: 'A narrow light spot falls directly to the edge of an off-center cell. The meter shows excitation of the ' +
        'ganglion cell whose activity becomes about 30 impulses per second.'
    },
    {
      alt: 'A wide light spot covers both center and edge of the off-center cell. The meter shows weak excitation of ' +
      'the ganglion cell whose activity becomes about 20 impulses per second.'
    },
    {
      alt: 'Receptive fields of an off-center cell. Its center is of "off"-type while the edge is of "on"-type. ' +
      'There is also a flashlight which is off. The meter shows baseline activity of the ganglion cell which is ' +
      'about 12 impulses per minute.',
      update: 'The light is turned off.'
    }
  ]
];

toggleBtnLabels = {
  off: 'Turn off the light',
  on: 'Turn on the light'
};

var FiguresExtended = ProjectFigures.extend({
  media_finished_callback: function (mmid) {
    this._super();

    var active_section = window.player.sections[window.player.section_currently_showing];
    active_section.videos[mmid] = true;

    var cumulative_result = Object.values(active_section.videos).every(function (val) {
      return val;
    });

    if (cumulative_result) {
      window.player.completeSectionTask();
      $('[data-video-conditional="' + window.player.section_currently_showing + '"]').addClass('active_1');
    }
  }
});

var ChapterPlayer9_1 = ProjectPlayer.extend({
  initialize_sections: function () {
    this._super();

    for (j = 0; j < this.sections.length; j++) {
      var s = this.sections[j];

      s.videos = s.jq.find('.outer_outer_outer_video');
    }
  },

  initialize2: function () {
    this._super();

    this.widgets = [];

    $('[data-block_type="flashlight_widget"]').each(function (index) {
      var $this = $(this);

      var flashlightPosition = 3;
      var images = $($this.find('[data-block_type="image_container"] [data-type="figure"]'))
        .each(function (imageIndex) {
          var $this = $(this);

          $this.find('img').attr('alt', imageDescriptions[index][imageIndex].alt);

          if (imageIndex !== flashlightPosition) {
            $this.hide();
        }
      });
      var toggleFlashlightBtn = $($this.find('.toggle-flashlight')).text(toggleBtnLabels.on)
        .click(player.toggleFlashlight.bind(player, index));
      var positionControlsBlock = $($this.find('[data-block_type="position-controls"]')).hide();
      var positionControls = $(positionControlsBlock.find('input')).removeAttr('onclick').each(function (inputIndex) {
        $(this).click(player.updateFlashlightWidget.bind(player, index, inputIndex));
      });
      var feedback = $($this.find('[data-block_type="feedback"]')).hide();

      player.widgets.push({
        index: index,
        isFlashlightOn: false,
        flashlightPosition: flashlightPosition,
        images: images,
        positionControlsBlock: positionControlsBlock,
        toggleFlashlightBtn: toggleFlashlightBtn,
        positionControls: positionControls,
        feedback: feedback,
        visitedPositions:
          [false, false, false, true],
        visitedPositionsCount: 1
      });
    });
  },

  toggleFlashlight: function (widgetIndex) {
    var widget = this.widgets[widgetIndex];
    var text;
    var nextIndex;

    if (widget.isFlashlightOn) {
      text = toggleBtnLabels.on;
      widget.positionControlsBlock.hide();
      nextIndex = 3;
    }
    else {
      text = toggleBtnLabels.off;
      widget.positionControls.each(function (index) {
        this.checked = index === 0;
      });
      widget.positionControlsBlock.show();
      nextIndex = 0;
    }

    widget.toggleFlashlightBtn.text(text);
    this.updateFlashlightWidget(widgetIndex, nextIndex);
    widget.isFlashlightOn = !widget.isFlashlightOn;
  },

  updateFlashlightWidget: function (widgetIndex, positionIndex) {
    var widget = this.widgets[widgetIndex];
    var images = widget.images;

    $(images[widget.flashlightPosition]).hide();
    $(images[positionIndex]).show();

    if (!widget.visitedPositions[positionIndex]) {
      widget.visitedPositions[positionIndex] = true;
      widget.visitedPositionsCount++;
    }

    var seeFeedbackInstruction = '';

    if (widget.visitedPositionsCount === 4) {
      widget.feedback.show();

      if (widget.feedback.length) {
        seeFeedbackInstruction = ' See feedback for more information.';
      }

      player.completeSectionTask();
    }

    widget.flashlightPosition = positionIndex;

    var imageDescription = imageDescriptions[widgetIndex][positionIndex];
    var instruction = (imageDescription.update || imageDescription.alt) + seeFeedbackInstruction;

    if (platform.firefox || platform.ios) {
      setTimeout(function () {
        player.updateLiveRegion(instruction);
      }, 1000);
    }
    else {
      this.updateLiveRegion(instruction);
    }
  }
});

Figures = FiguresExtended;
window.player = new ChapterPlayer9_1();


/***/ }),

/***/ 43:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 83:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(34);


/***/ })

},[83]);
//# sourceMappingURL=kolb_nia_winter2019_ch9_1.js.map