var Activity_manuscript_type = Activity.extend({

    // following override is for MathJax support - need to re-render math after submit due to query's HTML being re-written to DOM.
    submit_question: function (question_index) {
        this._super(question_index);
        // re-call mathjax conversion here
        MathJax.Hub.Queue(["Typeset", MathJax.Hub]);
    }
});

var Player_manuscript_type = Player.extend({
    show_section_animate: function(section_to_show, direction){

        for (var i = 0; i < section_to_show; i++) {
            $("#navItem_" + i).addClass("viewed");
        }


        if (this.section_currently_showing != null) {
            this.get_current_section_jq().hide();
        }
        this.section_currently_showing = section_to_show;

        this.get_current_section_jq().show();

        $(".navItem").removeClass("active");
        $("#navItem_" + section_to_show).addClass("active");

    },
    show_navigation: function () {
        var html = "<div id='top_banner_box'><div id='top_banner'>";

        if (this.activity_thumbnail_src != null) {
            html += "<img id='banner_thumbnail' src='" + this.activity_thumbnail_src + "' />";
        }

        html += "<div class='activityTitle'>" + this.activity_title + "</div>"
            + "</div>"	// top_banner
        ;

        $("#manuscript").prepend(html);
        $("[data-type=chapter]").append("<div class='clearboth'></div>");

        var navHtml = "<div id='navbar'><div id='navbarHeader'>" + this.activity_title + "</div><div id='navItemContainer'>";
        for (var i = 0; i < this.sections.length; ++i) {
           
            navHtml += "<div class='navItem' id='navItem_" + i + "' onclick='player.show_section(" + i + ")'><div class='navItemTitle'>" +  this.sections[i].title + "</div></div>";
        }

        navHtml += "</div>";
        navHtml += "<div class='navButtonDiv'>";
        navHtml += UI_Elements.get_button_html({
            id: "previous_button",
            extra_class: "toolbar_button prev_next_buttons",
            label: "Prev",
            fn: 'player.show_section("previous")'
        });

        navHtml += UI_Elements.get_button_html({
            id: "next_button",
            extra_class: "toolbar_button prev_next_buttons",
            label: "Next",
            fn: 'player.show_section("next")'
        });






        navHtml += "</div><div class='instructions'><h3>Instructions</h3><p>Use the Core Concepts to review the principles related to the problem. You can scroll down by using the bar to the right of the main frame. Go to any of the other tutorial sections for more help.</p>" + 
"</div></div></div>";


        

        this.sections[0].jq.before(navHtml);

        var currentSlideInfoHTML = "<div class='currentSlideInfoContainer'><div id='slideNum'></div><div id='slideTitle'></div></div>";

        $("#videoPlayerContainer").before(currentSlideInfoHTML);






        // button at the bottom of the manuscript to go on to the next step

        $('#previous_button').button({
            icons: {
                primary: "ui-icon-circle-triangle-n"
            }
        });
        $('#next_button').button({
            icons: {
                secondary: "ui-icon-circle-triangle-s"
            }
        });



        // activate all other buttons
        UI_Elements.activate_buttons();
    },
    showFAQ: function(id){
        var text = $("#" + id).find("[data-type=box_inner]").html();
        var title =  $("#" + id).find("[data-type=title]").html();
        $(text).dialog({ title: title });

    },
    initialize: function () {

        //jQuery.getScript("http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML", function () {
        jQuery.getScript("https://prod-cdn-packages.macmillan.cloud/media/MathJax/MathJax.js?config=TeX-MML-AM_CHTML", function () {

            //optional code to execute after mathjax library has been loaded can go here

        });

        this.activity_title = $("h1").find("[data-type=title]").html();
        this._super();
        this.activity = new Activity_manuscript_type();
        

        $("[data-block_type=FAQ]").each(function (index, element) {
            var id= $(element).attr("id");
            var html = "<input type='button' id='" + id + "_button' onclick='player.showFAQ(\"" + id + "\");' value='FAQ'/>";
            $(element).before(html);
            safe_log("faq" + id);
            $("#" + id + "_button").button();
        });

// also get rid of chapter numbers in question numbers
		$("h3").each(function(index, element) {
			var html = $(this).html();
			html = html.replace(/\d+\.(\d+)/, "$1.");
			$(this).html(html);
		});
        

    }


});


player = new Player_manuscript_type();